import { Editor } from '@tiptap/react';
import { IBEditorTableCellAddress } from '../../core/types';
import { IBEditorTablePointerHandlerContext } from './tablePointerTypes';
export declare function resetTableDragPointerState(context: IBEditorTablePointerHandlerContext): void;
export declare function handleTablePointerMediaTargetDown(eventTarget: EventTarget | null, event: MouseEvent, editor: Editor, context: IBEditorTablePointerHandlerContext): boolean;
export declare function shouldBEditorTableMediaPointerOpenSelector(eventTarget: EventTarget | null, event: MouseEvent, editorElement: HTMLElement | null): boolean;
export declare function handleTablePointerMissedCellDown(event: MouseEvent, editorElement: HTMLElement, context: IBEditorTablePointerHandlerContext): void;
export declare function isBEditorTypingModePointerCell(cell: HTMLTableCellElement, address: IBEditorTableCellAddress | null, editingAddress: IBEditorTableCellAddress | null): boolean;
export declare function handleTablePointerCellDown(event: MouseEvent, cell: HTMLTableCellElement, editorElement: HTMLElement, context: IBEditorTablePointerHandlerContext): void;
